package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.HostModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

import java.util.List;

/**
 * 存储网关服务器
 */
public interface StorageGatewayProvider extends SuperProvider {
    default public BocloudResult add(HostModel gateway) {
        return null;
    }

    default public BocloudResult remove(HostModel gateway) {
        return null;
    }

    default public BocloudResult sync(List<HostModel> gateways) {
        return null;
    }
}